RelationConstruction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class RelationConstruction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.PathExpression
              fr.inrialpes.exmo.align.impl.edoal.RelationExpression
                  fr.inrialpes.exmo.align.impl.edoal.RelationConstruction

All Implemented Interfaces:
  ValueExpression, Cloneable, Visitable

    public class RelationConstruction

extends RelationExpression

Represents a RelationExpression.

Version:
  $Revision: 1.5 $ $Date: 2010-03-07 20:40:05 +0100 (Sun, 07 Mar 2010) $
Author:
  Francois Scharffe, Adrian Mocan Created on 23-Mar-2005 Committed by $Author: adrianmocan $ $Source: /cvsroot/mediation/mappingapi/src/fr.inrialpes.exmo.align.impl.edoal/RelationExpr.java,v $,

Field Summary
`private Collection<PathExpression>` | `components` Holds all expressions.
`private SyntaxElement.Constructor` | `operator` Operator of this complex expression.

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`RelationConstruction()`
`RelationConstruction(SyntaxElement.Constructor op, Collection<PathExpression> expressions)`

Method Summary
`void` | `addComponents(PathExpression exp)`
`Collection<PathExpression>` | `getComponents()`
`SyntaxElement.Constructor` | `getOperator()`
`void` | `setOperator(SyntaxElement.Constructor op)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.RelationExpression
`accept`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### components

    private Collection<PathExpression> components

  Holds all expressions.

### operator

    private SyntaxElement.Constructor operator

  Operator of this complex expression.

Constructor Detail

### RelationConstruction

    public RelationConstruction()

### RelationConstruction

    public RelationConstruction(SyntaxElement.Constructor op,
                                Collection<PathExpression> expressions)

Method Detail

### getOperator

    public SyntaxElement.Constructor getOperator()

### setOperator

    public void setOperator(SyntaxElement.Constructor op)

### getComponents

    public Collection<PathExpression> getComponents()

### addComponents

    public void addComponents(PathExpression exp)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010